---
date: "2022-04-26T13:03:54+02:00"
draft: false
title: FAQ | The no-JS Club
---

## no-JS Club FAQ

The following information should help you answer any open questions regarding joining the **no-JS Club**.

If you need further details, do not hesitate to create a [ticket](https://todo.sr.ht/~hmbrg/no-JS.club). We will respond to your request A.S.A.P.

## Important to know

{{< detail-tag "What we expect from a member website" >}}
- SFW content
- JavaScript-free code
- accessible via HTTPS
{{< /detail-tag >}}

{{< detail-tag "What do you mean by SFW?" >}}
SFW stands for **S**ave **F**or **W**ork and if your site fits into this category, you can easily measure as follows:

Imagine, maybe it even is, you have a three year old daughter and her perfect world consists of elves, princesses, princes and rainbow farting unicorns. The worst thing that could happen in this world would be if the princess broke one of her nails.

Would you want to put her through the content of the website? If so, it's definitely SFW 😉
{{< /detail-tag >}}

{{< detail-tag "How to join the no-JS Club?" >}}
<p>If you're interested in getting your site added to the no-JS Club, all you need to do is to follow this step-by-step guide:</p>

1. 🤞 Use [GTMetrix](https://gtmetrix.com) to analyse your website 🤞

2. Once complete, click on **"Waterfall"** and note 📝 the uncompressed size of transfered data

![Accepted domain - All tab GTmetrix analyse result](/assets/no-js/accepted_gtmetrix_waterfall_all.webp)

3. Next click on the **"JS"** tab to make sure your homepage doesn't contain JS code

4. 🙌  Example result where no JavaScript detected 🙌

![Accepted domain - JS tab GTmetrix analyse result](/assets/no-js/accepted_gtmetrix_waterfall_js.webp)

5. 😞 Example result where JavaScript was detected! 😞

![Denied domain - JS tab GTmetrix analyse result](/assets/no-js/denied_gtmetrix_waterfall_js.webp)

6. If your website satisfies the requirement, [submit a ticket 🎫 on sourcehut](https://todo.sr.ht/~hmbrg/no-JS.club)

**Example of a filled ticket:**

![sourcehut membership request ticket](/assets/no-js/membership-request-ticket.webp)

7. Once your request is approved, the domain will be added to the [member list](/members)

Note: We reserve the right to not add sites based on whether we think they're suitable to be added or not

[Example ticket showcasing an accepted request 🙌](https://todo.sr.ht/~hmbrg/no-JS.club/1)

[Example ticket showcasing a denied request 😢](https://todo.sr.ht/~hmbrg/no-JS.club/2)
{{< /detail-tag >}}

{{< detail-tag "I've updated my website and size has changed, do I need to do something?" >}}
Simply file a new [ticket]( https://todo.sr.ht/~hmbrg/no-JS.club) and attach an updated [GTmetrix](https://gtmetrix.com/) scan to let us know
{{< /detail-tag >}}

{{< detail-tag "Are there badges to showcase my membership?" >}}
Yes, **if your website is qualified and included in our list**, you are entitled to use one of the following badges:

**Bright badge which fits darker website layouts:**

[![This website is a proud member of the no-JS Club](https://no-js.club/images/no-JS.club_badge_bright.svg)](https://no-js.club)

**Dark badge which fits brighter website layouts:**

[![This website is a proud member of the no-JS Club](https://no-js.club/images/no-JS.club_badge_dark.svg)](https://no-js.club)
{{< /detail-tag >}}

{{< detail-tag "How to integrate badges" >}}
**HTML code snippet for bright badge:**

`<a href="https://no-js.club/"><img alt="no-JS Club" src="https://no-js.club/images/no-JS.club_badge_bright.svg">`

**HTML code snippet for dark badge:**

`<a href="https://no-js.club/"><img alt="no-JS Club" src="https://no-js.club/images/no-JS.club_badge_dark.svg">`

**Markdown code snippets for bright badge:**

`[![This website is a proud member of the no-JS Club](https://no-js.club/images/no-JS.club_badge_bright.svg)](https://no-js.club)`

**Markdown code snippets for dark badge:**

`[![This website is a proud member of the no-JS Club](https://no-js.club/images/no-JS.club_badge_dark.svg)](https://no-js.club)`
{{< /detail-tag >}}

{{< detail-tag "How to change badge size" >}}
Below you see some **HTML** and **Markdown** solutions for changing the size of the badge.

**HTML solution:**

To proportionally change the badge size you either add the **width** or **height** parameter to the HTML snippet. The browser will automatically calculate the size of the other edge.

**Example using the "height" parameter:**

`<a href="https://no-js.club"><img src="https://no-js.club/images/no-JS.club_badge_bright.svg" height="120px" /></a>`

**Example using the "width" parameter:**

`<a href="https://no-js.club"><img src="https://no-js.club/images/no-JS.club_badge_dark.svg" width="200px" /></a>`

**Markdown solution:**

Download the badge of your choice and open it with a text editor.

**Line two** contains the dimensions, which **can be adjusted to your liking.**

`<svg width="152.43" height="30.054"`

Upload the updated badge file to you web space and change the Markdown integration snippet respectively.
{{< /detail-tag >}}

{{< detail-tag "Will membership cost me anything?" >}}
Good you asked! While you were reading through the FAQ, I was thinking about how to gently teach you that **membership won't bankrupt you** but, aside from the hassle of submitting an application by [ticket](https://todo.sr.ht/~hmbrg/no-JS.club) and waiting for it to be approved, **absolutely doesn't cost a dime!**
{{< /detail-tag >}}

## Required reading

{{< red-detail-tag "Member list update interval" >}}
In addition to the updates triggered by the membership application, member web pages will be reviewed at irregular intervals to keep data up-to-date.

The following information will be checked:
- transferred data volume when calling the domain (uncompressed)
- presence of JavaScript

If such a check reveals that JavaScript is being used in the meantime, the site operator is informed via a comment within the ticket issued by the website operator regarding admission to the no-JS Club and has **eight calendar days from the date of sending** to rectify this problem.

**In case JavaScript continues to be used after this period, the corresponding domain will be banned from the member list and the website operator will be informed via comment in the above mentioned ticket; upon notification of the deletion, the right to use any of the badges will immediately expire.**
{{< /red-detail-tag >}}

{{< red-detail-tag "Inadmissible contents" >}}
- **pornography/sexism**
- **racism/nazism**
- **any kind of illegal material**
{{< /red-detail-tag >}}

{{< red-detail-tag "Rights we reserve" >}}
- **we reserve the right to reject any site that we deem inappropriate, even if it does not clearly comply with the above rules**
- **this right can also be claimed subsequently** if the content develops in a direction that we consider inappropriate

**Once a website has been banned from our member list, the website owner will be notified and the right to use our badges will expire**

The aforementioned notification is made via a comment within the ticket issued by the website operator regarding admission to the no-JS Club; [example ticket](https://todo.sr.ht/~hmbrg/no-JS.club/3#event-173022)
{{< /red-detail-tag >}}
